Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.score.constraint
Class DoubleConstraintOccurrence

    java.lang.Object
      org.drools.planner.core.score.constraint.ConstraintOccurrence
          org.drools.planner.core.score.constraint.DoubleConstraintOccurrence

All Implemented Interfaces:
  Serializable, Comparable<ConstraintOccurrence>

    public class DoubleConstraintOccurrence

extends ConstraintOccurrence

See Also:
  Serialized Form

Field Summary
`protected double` | `weight`

Fields inherited from class org.drools.planner.core.score.constraint.ConstraintOccurrence
`causes, constraintType, ruleId`

Constructor Summary
`DoubleConstraintOccurrence(String ruleId, ConstraintType constraintType, double weight, Object... causes)`
`DoubleConstraintOccurrence(String ruleId, ConstraintType constraintType, Object... causes)`
`DoubleConstraintOccurrence(String ruleId, double weight, Object... causes)`
`DoubleConstraintOccurrence(String ruleId, Object... causes)`

Method Summary
`boolean` | `equals(Object o)`
`double` | `getWeight()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class org.drools.planner.core.score.constraint.ConstraintOccurrence
`compareTo, getCauses, getConstraintType, getRuleId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### weight

    protected double weight

Constructor Detail

### DoubleConstraintOccurrence

    public DoubleConstraintOccurrence(String ruleId,
                                      Object... causes)

### DoubleConstraintOccurrence

    public DoubleConstraintOccurrence(String ruleId,
                                      ConstraintType constraintType,
                                      Object... causes)

### DoubleConstraintOccurrence

    public DoubleConstraintOccurrence(String ruleId,
                                      double weight,
                                      Object... causes)

### DoubleConstraintOccurrence

    public DoubleConstraintOccurrence(String ruleId,
                                      ConstraintType constraintType,
                                      double weight,
                                      Object... causes)

Method Detail

### getWeight

    public double getWeight()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `ConstraintOccurrence`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `ConstraintOccurrence`

### toString

    public String toString()

  Overrides:
    `toString` in class `ConstraintOccurrence`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.